Bug 20513 - Could not connect to LDAP server: No such file or directory(Now protocol Error)
: Could not connect to LDAP server: No such file or directory(Now protocol Error)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/auth_ldap)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-06-20 18:55 by
Modified: 2012-06-20 12:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-20 18:55:34
решение: закоментировать 4 линии
 //#if defined(WITH_OPENLDAP) && LDAP_VENDOR_VERSION >= 20000
 //   if ((ldap_initialize(&(sec->ldc->ldap), (sec->url))) != LDAP_SUCCESS) {
 //#else
     if ((sec->ldc->ldap = ldap_init(sec->host, sec->port)) == NULL) {
 //#endif
------- Comment #1 From 2009-06-22 09:53:31 -------
Хм... Интересно, почему это повисло на мне? %)
По факту, пакет безхозный. Последний "хозяин":

Packager: Volkov Serge <vserge@altlinux.ru>
------- Comment #2 From 2009-06-23 15:57:48 -------
Это что? У меня в auth_ldap-1.6.1-alt1.1 на 4 бранче все прекрасно работает.
------- Comment #3 From 2009-06-24 09:49:21 -------
(В ответ на комментарий №2)
> Это что? У меня в auth_ldap-1.6.1-alt1.1 на 4 бранче все прекрасно работает.

наверное имеет значение не сам auth_ldap а еще и версия openldap
------- Comment #4 From 2009-06-24 10:24:58 -------
(В ответ на комментарий №3)
> > Это что? У меня в auth_ldap-1.6.1-alt1.1 на 4 бранче все прекрасно работает.
> наверное имеет значение не сам auth_ldap а еще и версия openldap

С чего бы?

Если что, я подключаюсь к серверу через anonymous bind. При именованном bind
может и отваливается, я не проверял.
------- Comment #5 From 2009-08-21 01:47:39 -------
Bug'а еще актуальна или может похороним auth_ldap? 
Jan 9, 2006: auth_ldap 1.6.1 released последнее что есть на сайте. 

Кто-то этим пользуется еще?
------- Comment #6 From 2012-06-20 12:29:45 -------
closed